Skip to main content
GET
/
activity
/
{taskId}
cURL
curl --request GET \
  --url https://cloud.kaneo.app/api/activity/{taskId} \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "taskId": "<string>",
    "type": "comment",
    "createdAt": "<unknown>",
    "userId": "<string>",
    "content": "<string>",
    "externalUserName": "<string>",
    "externalUserAvatar": "<string>",
    "externalSource": "<string>",
    "externalUrl": "<string>"
  }
]

Authorizations

Authorization
string
header
required

API Key authentication

Path Parameters

taskId
string
required

Response

200 - application/json

List of activities for the task

id
string
required
taskId
string
required
type
enum<string>
required
Available options:
comment,
task,
status_changed,
priority_changed,
unassigned,
assignee_changed,
due_date_changed,
title_changed,
description_changed,
create
createdAt
any
required
userId
string | null
required
content
string | null
required
externalUserName
string | null
required
externalUserAvatar
string | null
required
externalSource
string | null
required
externalUrl
string | null
required